Mailinglist Archive: opensuse-updates (46 mails)

< Previous Next >
openSUSE-SU-2014:0945-1: moderate: php5: security fixes
openSUSE Security Update: php5: security fixes
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0945-1
Rating: moderate
References: #885961 #886059 #886060
Cross-References: CVE-2014-4670 CVE-2014-4698 CVE-2014-4721

Affected Products:
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:


php5 was updated to fix security issues:

CVE-2014-4670: Use-after-free vulnerability in ext/spl/spl_dllist.c in the
SPL component in PHP allowed context-dependent attackers to cause a denial
of service or possibly have unspecified other impact via crafted iterator
usage within applications in certain web-hosting environments.

CVE-2014-4698: Use-after-free vulnerability in ext/spl/spl_array.c in the
SPL component in PHP allowed context-dependent attackers to cause a denial
of service or possibly have unspecified other impact via crafted
ArrayIterator usage within applications in certain web-hosting
environments.

CVE-2014-4721: The phpinfo implementation in ext/standard/info.c in PHP
did not ensure use of the string data type for the PHP_AUTH_PW,
PHP_AUTH_TYPE, PHP_AUTH_USER, and PHP_SELF variables, which might allow
context-dependent attackers to obtain sensitive information from process
memory by using the integer data type with crafted values, related to a
"type confusion" vulnerability, as demonstrated by reading a private SSL
key in an Apache HTTP Server web-hosting environment with mod_ssl and a
PHP 5.3.x mod_php.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

apache2-mod_php5-5.4.20-21.1
apache2-mod_php5-debuginfo-5.4.20-21.1
php5-5.4.20-21.1
php5-bcmath-5.4.20-21.1
php5-bcmath-debuginfo-5.4.20-21.1
php5-bz2-5.4.20-21.1
php5-bz2-debuginfo-5.4.20-21.1
php5-calendar-5.4.20-21.1
php5-calendar-debuginfo-5.4.20-21.1
php5-ctype-5.4.20-21.1
php5-ctype-debuginfo-5.4.20-21.1
php5-curl-5.4.20-21.1
php5-curl-debuginfo-5.4.20-21.1
php5-dba-5.4.20-21.1
php5-dba-debuginfo-5.4.20-21.1
php5-debuginfo-5.4.20-21.1
php5-debugsource-5.4.20-21.1
php5-devel-5.4.20-21.1
php5-dom-5.4.20-21.1
php5-dom-debuginfo-5.4.20-21.1
php5-enchant-5.4.20-21.1
php5-enchant-debuginfo-5.4.20-21.1
php5-exif-5.4.20-21.1
php5-exif-debuginfo-5.4.20-21.1
php5-fastcgi-5.4.20-21.1
php5-fastcgi-debuginfo-5.4.20-21.1
php5-fileinfo-5.4.20-21.1
php5-fileinfo-debuginfo-5.4.20-21.1
php5-firebird-5.4.20-21.1
php5-firebird-debuginfo-5.4.20-21.1
php5-fpm-5.4.20-21.1
php5-fpm-debuginfo-5.4.20-21.1
php5-ftp-5.4.20-21.1
php5-ftp-debuginfo-5.4.20-21.1
php5-gd-5.4.20-21.1
php5-gd-debuginfo-5.4.20-21.1
php5-gettext-5.4.20-21.1
php5-gettext-debuginfo-5.4.20-21.1
php5-gmp-5.4.20-21.1
php5-gmp-debuginfo-5.4.20-21.1
php5-iconv-5.4.20-21.1
php5-iconv-debuginfo-5.4.20-21.1
php5-imap-5.4.20-21.1
php5-imap-debuginfo-5.4.20-21.1
php5-intl-5.4.20-21.1
php5-intl-debuginfo-5.4.20-21.1
php5-json-5.4.20-21.1
php5-json-debuginfo-5.4.20-21.1
php5-ldap-5.4.20-21.1
php5-ldap-debuginfo-5.4.20-21.1
php5-mbstring-5.4.20-21.1
php5-mbstring-debuginfo-5.4.20-21.1
php5-mcrypt-5.4.20-21.1
php5-mcrypt-debuginfo-5.4.20-21.1
php5-mssql-5.4.20-21.1
php5-mssql-debuginfo-5.4.20-21.1
php5-mysql-5.4.20-21.1
php5-mysql-debuginfo-5.4.20-21.1
php5-odbc-5.4.20-21.1
php5-odbc-debuginfo-5.4.20-21.1
php5-openssl-5.4.20-21.1
php5-openssl-debuginfo-5.4.20-21.1
php5-pcntl-5.4.20-21.1
php5-pcntl-debuginfo-5.4.20-21.1
php5-pdo-5.4.20-21.1
php5-pdo-debuginfo-5.4.20-21.1
php5-pgsql-5.4.20-21.1
php5-pgsql-debuginfo-5.4.20-21.1
php5-phar-5.4.20-21.1
php5-phar-debuginfo-5.4.20-21.1
php5-posix-5.4.20-21.1
php5-posix-debuginfo-5.4.20-21.1
php5-pspell-5.4.20-21.1
php5-pspell-debuginfo-5.4.20-21.1
php5-readline-5.4.20-21.1
php5-readline-debuginfo-5.4.20-21.1
php5-shmop-5.4.20-21.1
php5-shmop-debuginfo-5.4.20-21.1
php5-snmp-5.4.20-21.1
php5-snmp-debuginfo-5.4.20-21.1
php5-soap-5.4.20-21.1
php5-soap-debuginfo-5.4.20-21.1
php5-sockets-5.4.20-21.1
php5-sockets-debuginfo-5.4.20-21.1
php5-sqlite-5.4.20-21.1
php5-sqlite-debuginfo-5.4.20-21.1
php5-suhosin-5.4.20-21.1
php5-suhosin-debuginfo-5.4.20-21.1
php5-sysvmsg-5.4.20-21.1
php5-sysvmsg-debuginfo-5.4.20-21.1
php5-sysvsem-5.4.20-21.1
php5-sysvsem-debuginfo-5.4.20-21.1
php5-sysvshm-5.4.20-21.1
php5-sysvshm-debuginfo-5.4.20-21.1
php5-tidy-5.4.20-21.1
php5-tidy-debuginfo-5.4.20-21.1
php5-tokenizer-5.4.20-21.1
php5-tokenizer-debuginfo-5.4.20-21.1
php5-wddx-5.4.20-21.1
php5-wddx-debuginfo-5.4.20-21.1
php5-xmlreader-5.4.20-21.1
php5-xmlreader-debuginfo-5.4.20-21.1
php5-xmlrpc-5.4.20-21.1
php5-xmlrpc-debuginfo-5.4.20-21.1
php5-xmlwriter-5.4.20-21.1
php5-xmlwriter-debuginfo-5.4.20-21.1
php5-xsl-5.4.20-21.1
php5-xsl-debuginfo-5.4.20-21.1
php5-zip-5.4.20-21.1
php5-zip-debuginfo-5.4.20-21.1
php5-zlib-5.4.20-21.1
php5-zlib-debuginfo-5.4.20-21.1

- openSUSE 13.1 (noarch):

php5-pear-5.4.20-21.1

- openSUSE 12.3 (i586 x86_64):

apache2-mod_php5-5.3.17-3.25.1
apache2-mod_php5-debuginfo-5.3.17-3.25.1
php5-5.3.17-3.25.1
php5-bcmath-5.3.17-3.25.1
php5-bcmath-debuginfo-5.3.17-3.25.1
php5-bz2-5.3.17-3.25.1
php5-bz2-debuginfo-5.3.17-3.25.1
php5-calendar-5.3.17-3.25.1
php5-calendar-debuginfo-5.3.17-3.25.1
php5-ctype-5.3.17-3.25.1
php5-ctype-debuginfo-5.3.17-3.25.1
php5-curl-5.3.17-3.25.1
php5-curl-debuginfo-5.3.17-3.25.1
php5-dba-5.3.17-3.25.1
php5-dba-debuginfo-5.3.17-3.25.1
php5-debuginfo-5.3.17-3.25.1
php5-debugsource-5.3.17-3.25.1
php5-devel-5.3.17-3.25.1
php5-dom-5.3.17-3.25.1
php5-dom-debuginfo-5.3.17-3.25.1
php5-enchant-5.3.17-3.25.1
php5-enchant-debuginfo-5.3.17-3.25.1
php5-exif-5.3.17-3.25.1
php5-exif-debuginfo-5.3.17-3.25.1
php5-fastcgi-5.3.17-3.25.1
php5-fastcgi-debuginfo-5.3.17-3.25.1
php5-fileinfo-5.3.17-3.25.1
php5-fileinfo-debuginfo-5.3.17-3.25.1
php5-fpm-5.3.17-3.25.1
php5-fpm-debuginfo-5.3.17-3.25.1
php5-ftp-5.3.17-3.25.1
php5-ftp-debuginfo-5.3.17-3.25.1
php5-gd-5.3.17-3.25.1
php5-gd-debuginfo-5.3.17-3.25.1
php5-gettext-5.3.17-3.25.1
php5-gettext-debuginfo-5.3.17-3.25.1
php5-gmp-5.3.17-3.25.1
php5-gmp-debuginfo-5.3.17-3.25.1
php5-iconv-5.3.17-3.25.1
php5-iconv-debuginfo-5.3.17-3.25.1
php5-imap-5.3.17-3.25.1
php5-imap-debuginfo-5.3.17-3.25.1
php5-intl-5.3.17-3.25.1
php5-intl-debuginfo-5.3.17-3.25.1
php5-json-5.3.17-3.25.1
php5-json-debuginfo-5.3.17-3.25.1
php5-ldap-5.3.17-3.25.1
php5-ldap-debuginfo-5.3.17-3.25.1
php5-mbstring-5.3.17-3.25.1
php5-mbstring-debuginfo-5.3.17-3.25.1
php5-mcrypt-5.3.17-3.25.1
php5-mcrypt-debuginfo-5.3.17-3.25.1
php5-mssql-5.3.17-3.25.1
php5-mssql-debuginfo-5.3.17-3.25.1
php5-mysql-5.3.17-3.25.1
php5-mysql-debuginfo-5.3.17-3.25.1
php5-odbc-5.3.17-3.25.1
php5-odbc-debuginfo-5.3.17-3.25.1
php5-openssl-5.3.17-3.25.1
php5-openssl-debuginfo-5.3.17-3.25.1
php5-pcntl-5.3.17-3.25.1
php5-pcntl-debuginfo-5.3.17-3.25.1
php5-pdo-5.3.17-3.25.1
php5-pdo-debuginfo-5.3.17-3.25.1
php5-pgsql-5.3.17-3.25.1
php5-pgsql-debuginfo-5.3.17-3.25.1
php5-phar-5.3.17-3.25.1
php5-phar-debuginfo-5.3.17-3.25.1
php5-posix-5.3.17-3.25.1
php5-posix-debuginfo-5.3.17-3.25.1
php5-pspell-5.3.17-3.25.1
php5-pspell-debuginfo-5.3.17-3.25.1
php5-readline-5.3.17-3.25.1
php5-readline-debuginfo-5.3.17-3.25.1
php5-shmop-5.3.17-3.25.1
php5-shmop-debuginfo-5.3.17-3.25.1
php5-snmp-5.3.17-3.25.1
php5-snmp-debuginfo-5.3.17-3.25.1
php5-soap-5.3.17-3.25.1
php5-soap-debuginfo-5.3.17-3.25.1
php5-sockets-5.3.17-3.25.1
php5-sockets-debuginfo-5.3.17-3.25.1
php5-sqlite-5.3.17-3.25.1
php5-sqlite-debuginfo-5.3.17-3.25.1
php5-suhosin-5.3.17-3.25.1
php5-suhosin-debuginfo-5.3.17-3.25.1
php5-sysvmsg-5.3.17-3.25.1
php5-sysvmsg-debuginfo-5.3.17-3.25.1
php5-sysvsem-5.3.17-3.25.1
php5-sysvsem-debuginfo-5.3.17-3.25.1
php5-sysvshm-5.3.17-3.25.1
php5-sysvshm-debuginfo-5.3.17-3.25.1
php5-tidy-5.3.17-3.25.1
php5-tidy-debuginfo-5.3.17-3.25.1
php5-tokenizer-5.3.17-3.25.1
php5-tokenizer-debuginfo-5.3.17-3.25.1
php5-wddx-5.3.17-3.25.1
php5-wddx-debuginfo-5.3.17-3.25.1
php5-xmlreader-5.3.17-3.25.1
php5-xmlreader-debuginfo-5.3.17-3.25.1
php5-xmlrpc-5.3.17-3.25.1
php5-xmlrpc-debuginfo-5.3.17-3.25.1
php5-xmlwriter-5.3.17-3.25.1
php5-xmlwriter-debuginfo-5.3.17-3.25.1
php5-xsl-5.3.17-3.25.1
php5-xsl-debuginfo-5.3.17-3.25.1
php5-zip-5.3.17-3.25.1
php5-zip-debuginfo-5.3.17-3.25.1
php5-zlib-5.3.17-3.25.1
php5-zlib-debuginfo-5.3.17-3.25.1

- openSUSE 12.3 (noarch):

php5-pear-5.3.17-3.25.1


References:

http://support.novell.com/security/cve/CVE-2014-4670.html
http://support.novell.com/security/cve/CVE-2014-4698.html
http://support.novell.com/security/cve/CVE-2014-4721.html
https://bugzilla.novell.com/885961
https://bugzilla.novell.com/886059
https://bugzilla.novell.com/886060


< Previous Next >
This Thread
  • No further messages